with Ada.Finalization;

package Parse_Controlled is

   type T1 is new Ada.Finalization.Controlled with record null; end record;
   type M2 is array (1 .. 2, 1.. 1) of T1;
   type R2 is record X : M2; end record;
   X1 : R2;

end Parse_Controlled;
